Subject: RE: bug#25096: shr: Add a customizable face for links after being clicked

From: Drew Adams <[email-masked]>
Date: Sat, 3 Dec 2016 07:41:54 -0800 (PST)

> > An ephemeral box won't tell you later that you already visited
> > that URL in an external browser.
> >
> > You could also have 3 faces for having used the link:
> >
> > 1. For having visited its destination in EWW.
> > 2. For having visited its destination in an external browser.
> > 3. For having visited its destination in both.
> >
> > #1 could use a foreground color.  #2 could use an outline box.
> > #3 could use both.
> 
> Drew, I think there's some lingering confusion here.  Try pressing
> the left mouse button down on a link in Firefox, and keeping it
> pressed down.  Notice how Firefox displays a dotted box around the
> link.  This is indeed a eww enhancement request, but I don't think
> it's specific to external browsers; it's just about indicating that
> a link has been clicked in the time interval from the click to the
> point when the next page replaces the current one.

I see.  Apologies for not correctly understanding what the
request is.

In that case, I'd suggest that the subject line is misleading
or inaccurate.  It says clearly (?) that it is about the
_face_ for the link _after_ it has been clicked.

If it is instead about having some visual indication, _while_
it is clicked (e.g., mouse-down), that the link _is being_
clicked, then you might want to retitle the request.